## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pydapsys

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %{autorelease}
Summary:        Read recordings made with DAPSYS

%global forgeurl https://github.com/Digital-C-Fiber/PyDapsys
%forgemeta

License:        BSD-3-Clause
URL:            %forgeurl
Source:         %forgesource
# Include CITATION.cff
Patch:          %{forgeurl}/commit/7e6ccd6feb8fb5198cf7810d8344ec44ab2f8f85.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
PyDapsys is a package to read neurography recordings made with DAPSYS
(Data Acquisition Processor System). It is based on a
reverse-engineered specification of the binary data format used by the
latest DAPSYS version.

Optionally, the library provides functionality to store loaded data
into Neo datastructures, from where they can be exported into various
other formats.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%pyproject_extras_subpkg -n python3-%{pypi_name} neo


%prep
%forgeautosetup -p1

# Drop upper bound on numpy. Allow building with NumPy 2.x.
sed -r -i 's/^numpy.*/numpy = ">=1.21"/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x neo


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L %{pypi_name}


%check
# Project does not provide unit tests
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CITATION.cff
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Sandro <devel@penguinpee.nl> - 0.2.1-4
- Allow building with NumPy 2.x (RHBZ#2332198)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2.1-2
- Rebuilt for Python 3.13

* Wed May 29 2024 Sandro <devel@penguinpee.nl> - 0.2.1-1
- Initial release (RHBZ#2283197)
## END: Generated by rpmautospec
